Bug 17614 - better glob handler
better glob handler
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: logrotate (Show other bugs)
7.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Erik Troan
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-09-18 13:11 EDT by Matt Domsch
Modified: 2008-05-01 11:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-21 12:19:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Domsch 2000-09-18 13:11:38 EDT
Logrotate needs to better handle the following case:
/var/log/ttywatch/m1
/var/log/ttywatch/m2
/var/log/ttywatch/m1.1.gz
/var/log/ttywatch/m2.1.gz

Typical logrotate stanza (taken from /etc/logrotate.d/ttywatch):
/var/log/ttywatch/* {
	size=1M
	compress
	nodelaycompress
	missingok
	sharedscripts
	postrotate
		service ttywatch reload
	endscript
}

The * gets globbed, so that m1.1.gz gets re-compressed and re-named 
m1.1.gz.1.gz
Comment 1 Matt Domsch 2000-11-21 12:19:44 EST
working as designed.  Fix was to add '.log' to end of each name, and glob on 
*.log.

Note You need to log in before you can comment on or make changes to this bug.